/*
 * hard.h
 *
 * Created: 2016-06-21 09:00:48
 *  Author: dsosnowski
 */ 


#ifndef HARD_H_
#define HARD_H_

#define OUTPUT_PORT				PORTB
#define OUTPUT_DDR				DDRB
#define OUTPUT_PIN				1		//H
#define OUTPUT_SET				(OUTPUT_PORT |= (1<<OUTPUT_PIN))
#define OUTPUT_OFF				(OUTPUT_PORT &= ~(1<<OUTPUT_PIN))

#define SW_PORT					PORTB
#define SW_IN					PINB
#define SW_PIN					0		//L
#define SW_GET					(SW_IN & (1<<SW_PIN))

#define BUZZ_PORT				PORTB
#define BUZZ_DDR				DDRB
#define BUZZ_PIN				2		//L
#define BUZZ_OFF				(BUZZ_PORT |= (1<<BUZZ_PIN))
#define BUZZ_SET				(BUZZ_PORT &= ~(1<<BUZZ_PIN))

#define LED_PORT				PORTA
#define LED_DDR					DDRA
#define LED_PIN					7		//L
#define LED_OFF					(LED_PORT |= (1<<LED_PIN))
#define LED_SET					(LED_PORT &= ~(1<<LED_PIN))

#define DETECT_PORT				PORTA
#define DETECT_IN				PINA
#define DETECT_PIN				6		//L
#define DETECT_GET				(DETECT_IN & (1<<DETECT_PIN))

#define REM_PORT				PORTA
#define REM_IN					PINA	
#define REM_PIN					5		//L
#define REM_GET					(REM_IN & (1<<REM_PIN))

#define CFG_PORT				PORTA
#define CFG_IN					PINA
#define CFG1_PIN				4		//L
#define CFG2_PIN				3
#define CFG3_PIN				2
#define CFGA1_PIN				1		//CH1
#define CFGA2_PIN				0		//CH2


		
#endif /* HARD_H_ */